import pytest

from coccinelle.communes.models import (
    PNR,
    Agglo,
    Arrondissement,
    Canton,
    Commune,
    Pays,
    Tag,
    Territoire,
)


def test_str_arrondissement():
    arr1 = Arrondissement(nom="arr1")
    assert str(arr1) == "arr1"


def test_str_canton():
    cant1 = Canton(nom="cant1")
    assert str(cant1) == "cant1"


def test_str_pays():
    pays1 = Pays(nom="pays1")
    assert str(pays1) == "pays1"


def test_str_territoire():
    terr1 = Territoire(nom="terr1")
    assert str(terr1) == "terr1"


def test_str_agglo():
    agglo1 = Agglo(nom="agglo1")
    assert str(agglo1) == "agglo1"


def test_str_pnr():
    pnr1 = PNR(nom="pnr1")
    assert str(pnr1) == "pnr1"


def test_str_tag():
    tag1 = Tag(nom="tag1")
    assert str(tag1) == "tag1"


def test_str_commune():
    com1 = Commune(nom="com1", postal="12345")
    assert str(com1) == "com1 (12345)"


@pytest.mark.parametrize(
    'code_p,dep',
    [
        ('', ''),
        ('62300', '62'),
        ('abc', ''),
        ('2b033', '2B'),
        ('97304', '973'),
    ],
)
def test_clean_commune(code_p, dep):
    com1 = Commune(postal=code_p)
    com1.clean()
    assert com1.departement == dep
