# -*- coding: utf-8 -*-

from selectable.base import ModelLookup
from selectable.decorators import login_required
from selectable.registry import registry

from ..communes import models as cm_models
from . import models as c_models


@login_required
class StructureLookup(ModelLookup):
    model = c_models.Structure
    search_fields = ('nom__icontains',)


@login_required
class PersonneLookup(ModelLookup):
    model = c_models.PersonnePhysique
    search_fields = ('nom__icontains',)


# @login_required
class CommuneLookup(ModelLookup):
    model = cm_models.Commune
    search_fields = ('nom__icontains', 'postal__contains')


registry.register(CommuneLookup)
registry.register(StructureLookup)
registry.register(PersonneLookup)
