# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2020-12-04 09:06
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('references', '0001_initial'),
        ('communes', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AbonnementListe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('demande', models.IntegerField(choices=[(0, 'Ne rien faire'), (1, 'Désabonner'), (2, 'Abonner')], default=0, verbose_name="Demande d'inscription")),
                ('status', models.IntegerField(choices=[(0, 'inconnu'), (2, 'abonné via coccinelle'), (3, 'abonné via coccinelle - err dans sympa'), (4, "l'utilisateur s'est désabonné"), (5, "l'utilisateur s'est désabonné - err dans sympa"), (6, "l'utilisateur s'est abonné"), (7, "l'utilisateur s'est abonné - err dans sympa"), (8, 'désabonné sur sympa (bounce?)')], default=0, editable=False, verbose_name='Statut inscription')),
                ('liste', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='references.Liste')),
            ],
            options={
                'verbose_name': 'Abonnement liste de diffusion',
                'verbose_name_plural': 'Abonnements listes de diffusion',
            },
        ),
        migrations.CreateModel(
            name='PersonnePhysique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tel', models.CharField(blank=True, max_length=20, verbose_name='Téléphone')),
                ('courriel', models.EmailField(blank=True, max_length=100, verbose_name='Courriel')),
                ('fax', models.CharField(blank=True, max_length=20)),
                ('comment', models.CharField(blank=True, max_length=400, verbose_name='Commentaire')),
                ('date_c', models.DateField(auto_now_add=True, verbose_name='Date création')),
                ('date_m', models.DateField(auto_now=True, verbose_name='Date modification')),
                ('civilite', models.CharField(blank=True, choices=[('F', 'Madame'), ('H', 'Monsieur')], max_length=5, verbose_name='Civilité')),
                ('nom', models.CharField(max_length=100)),
                ('prenom', models.CharField(blank=True, max_length=100, verbose_name='Prénom')),
                ('homonymie', models.CharField(blank=True, help_text="Permet de différencier une personne en cas d'homonymie", max_length=100)),
                ('mob', models.CharField(blank=True, max_length=20, verbose_name='Mobile')),
                ('dm_annuaire', models.IntegerField(choices=[(0, 'Ne rien faire'), (1, 'Ajouter'), (2, 'Enlever')], default=0, verbose_name='Inscription annuaire')),
                ('st_annuaire', models.IntegerField(choices=[(0, 'Inconnu'), (1, 'Abonné'), (2, 'Non Abonné'), (3, "Désabonné par l'utilisateur ou par sympa"), (4, 'Liste inconnue sur sympa, abonnement demandé'), (5, 'Liste inconnue sur sympa, désabonnement demandé')], default=0, editable=False, verbose_name='Statut annuaire')),
                ('roleRelai', models.BooleanField(default=False, verbose_name='Rôle relai')),
                ('progCerdd', models.ManyToManyField(blank=True, to='references.CerddProgramme', verbose_name='Programme Cerdd')),
                ('roleCerdd', models.ManyToManyField(blank=True, to='references.CerddCentral', verbose_name='Rôle au sein du Cerdd')),
                ('s_perso', models.ManyToManyField(blank=True, to='references.StatutPerso', verbose_name='Statut Personnel')),
                ('tag', models.ManyToManyField(blank=True, to='references.TagPersonnePhysique', verbose_name='Étiquette(s)')),
            ],
            options={
                'verbose_name': 'Personne physique',
                'verbose_name_plural': '   Personnes physiques',
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='Relation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('titre', models.CharField(blank=True, help_text='utilisé pour le publipostage', max_length=100, verbose_name='Fonction')),
                ('service', models.CharField(blank=True, max_length=100, verbose_name='Service')),
                ('fonction', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='references.Fonction', verbose_name='Fonction abrégée')),
                ('personne', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.PersonnePhysique')),
            ],
            options={
                'verbose_name': ' Info détaillée (personne)',
                'verbose_name_plural': ' Infos détaillées (personne)',
                'ordering': ('personne',),
            },
        ),
        migrations.CreateModel(
            name='Structure',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tel', models.CharField(blank=True, max_length=20, verbose_name='Téléphone')),
                ('courriel', models.EmailField(blank=True, max_length=100, verbose_name='Courriel')),
                ('fax', models.CharField(blank=True, max_length=20)),
                ('comment', models.CharField(blank=True, max_length=400, verbose_name='Commentaire')),
                ('date_c', models.DateField(auto_now_add=True, verbose_name='Date création')),
                ('date_m', models.DateField(auto_now=True, verbose_name='Date modification')),
                ('nom', models.CharField(max_length=100, verbose_name='Raison sociale')),
                ('adresse', models.CharField(blank=True, max_length=100, verbose_name='Adresse')),
                ('adresse2', models.CharField(blank=True, max_length=100, verbose_name='Adresse (suite)')),
                ('adresse3', models.CharField(blank=True, help_text="cette partie de l'adresse apparaitra apres le code postal et la ville", max_length=100, verbose_name='Adresse (cedex)')),
                ('code_p', models.CharField(blank=True, help_text='laisser vide pour utiliser le code postal lié par défaut à la commune', max_length=15, verbose_name='Code Postal')),
                ('conseil_dev', models.BooleanField(default=False, verbose_name='Conseil de développement')),
                ('www', models.CharField(blank=True, max_length=200, verbose_name='Site internet')),
                ('commune', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='communes.Commune', verbose_name='Commune')),
                ('statut', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='references.Statut', verbose_name='Statut')),
                ('tag', models.ManyToManyField(blank=True, to='references.TagStructure', verbose_name='Étiquette(s)')),
            ],
            options={
                'verbose_name_plural': '  Structures',
                'ordering': ('nom',),
            },
        ),
        migrations.AddField(
            model_name='relation',
            name='structure',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='contacts.Structure'),
        ),
        migrations.AddField(
            model_name='abonnementliste',
            name='personne',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contacts.PersonnePhysique'),
        ),
        migrations.AlterUniqueTogether(
            name='structure',
            unique_together=set([('nom', 'commune')]),
        ),
        migrations.AlterUniqueTogether(
            name='relation',
            unique_together=set([('personne', 'structure')]),
        ),
        migrations.AlterUniqueTogether(
            name='personnephysique',
            unique_together=set([('nom', 'prenom', 'homonymie')]),
        ),
    ]
