# -*- coding: utf-8 -*-
# Copyright (C) 2011, 2012, 2013  Cliss XXI
#
# This file is part of Coccinelle.
#
# Coccinelle is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# Coccinelle is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Author: Vincent Adolphe
"project wide context processors"

from django.conf import settings

from coccinelle import __version__


def help_url(request):
    "Adds help url prefix from settings"
    print((request.META['PATH_INFO']))
    help_balloon = ""
    help_url = settings.HELP_URL_PREFIX
    for url_match, help_append, help_balloon in settings.HELP_URL_CTX:
        if url_match.match(request.META['PATH_INFO']) is not None:
            help_url += help_append
            break
    help_balloon = help_balloon or settings.HELP_BALLOON_DFLT
    return {
        'HELP_URL': help_url,
        'HELP_BALLOON': help_balloon,
        'CSTATIC_URL': settings.COMMON_STATIC_URL,
        'APP_VERSION': __version__,
    }
