# -*- coding: utf-8 -*-
# reference.admin

from django.contrib import admin

from . import models as r_models


class StatutAdmin(admin.ModelAdmin):
    list_display = ['id', 'nom', 'description']
    list_editable = ['nom', 'description']
    fields = ['nom', 'description']


class FonctionAdmin(admin.ModelAdmin):
    list_display = ['id', 'nom']
    list_editable = ['nom']


class ListeAdmin(admin.ModelAdmin):
    list_display = ['id', 'nom', 'public', 'type_l', 'adresse', 'description']
    list_editable = ['nom', 'adresse', 'public', 'type_l', 'description']


class CerddProgrammeAdmin(admin.ModelAdmin):
    list_display = ['id', 'nom', 'description']
    list_editable = ['nom', 'description']


class CerddCentralAdmin(admin.ModelAdmin):
    list_display = ['id', 'nom', 'description']
    list_editable = ['nom', 'description']


class StatutPersoAdmin(admin.ModelAdmin):
    list_display = ['id', 'nom']
    list_editable = ['nom']


class TagPersonnePhysiqueAdmin(admin.ModelAdmin):
    list_display = ['id', 'nom', 'description']
    list_editable = ['nom', 'description']


class TagStructureAdmin(admin.ModelAdmin):
    list_display = ['id', 'nom', 'description']
    list_editable = ['nom', 'description']


admin.site.register(r_models.Liste, ListeAdmin)
admin.site.register(r_models.CerddCentral, CerddCentralAdmin)
admin.site.register(r_models.Fonction, FonctionAdmin)
admin.site.register(r_models.CerddProgramme, CerddProgrammeAdmin)
admin.site.register(r_models.TagPersonnePhysique, TagPersonnePhysiqueAdmin)
admin.site.register(r_models.TagStructure, TagStructureAdmin)
admin.site.register(r_models.StatutPerso, StatutPersoAdmin)
admin.site.register(r_models.Statut, StatutAdmin)

# EOF
