# -*- coding: utf-8 -*-
# Generated by Django 1.11.29 on 2020-12-04 09:06
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CerddCentral',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=100, verbose_name='Rôle au sein du Cerdd')),
                ('description', models.CharField(blank=True, max_length=200, verbose_name='Description')),
            ],
            options={
                'verbose_name': 'Rôle au sein du CERDD',
                'verbose_name_plural': 'Rôles au sein du CERDD',
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='CerddProgramme',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=100, verbose_name='Programme du Cerdd')),
                ('description', models.CharField(blank=True, max_length=200, verbose_name='Description')),
            ],
            options={
                'verbose_name': 'Programme du CERDD',
                'verbose_name_plural': 'Programmes du CERDD',
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='Fonction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=100, verbose_name='Fonction')),
            ],
            options={
                'verbose_name': 'Fonction',
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='Liste',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=100, verbose_name='Nom')),
                ('adresse', models.CharField(help_text="prefix, partie devant '@'", max_length=100)),
                ('description', models.CharField(blank=True, max_length=200)),
                ('public', models.BooleanField(default=False, help_text="visible sur l'interface public")),
                ('type_l', models.IntegerField(choices=[(0, 'newsletter'), (1, 'liste thématique')], default=0, verbose_name='type')),
            ],
            options={
                'verbose_name': 'Liste de diffusion',
                'ordering': ('description',),
            },
        ),
        migrations.CreateModel(
            name='Statut',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=100, verbose_name='Statut')),
                ('description', models.CharField(blank=True, max_length=200, verbose_name='Description')),
            ],
            options={
                'verbose_name': 'Statut structure',
                'verbose_name_plural': 'Statuts structures',
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='StatutPerso',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=100, verbose_name='Statut Personnel')),
            ],
            options={
                'verbose_name': 'Statut individuel',
                'verbose_name_plural': 'Statuts individuels',
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='TagPersonnePhysique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=20, verbose_name='Étiquette(s)')),
                ('description', models.CharField(blank=True, max_length=100, verbose_name='Description')),
            ],
            options={
                'verbose_name': 'Étiquette Personne physique',
                'verbose_name_plural': 'Étiquettes Personnes physiques',
                'ordering': ('nom',),
            },
        ),
        migrations.CreateModel(
            name='TagStructure',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nom', models.CharField(max_length=20, verbose_name='Étiquette(s)')),
                ('description', models.CharField(blank=True, max_length=100, verbose_name='Description')),
            ],
            options={
                'verbose_name': 'Étiquette Structure',
                'verbose_name_plural': 'Étiquettes Structures',
                'ordering': ('nom',),
            },
        ),
    ]
