import pytest

from coccinelle.wash import StringValidator


@pytest.mark.parametrize(
    'tmeth,tstring,exp_result',
    [
        ('isAlpha', '!@#ABCabc', True),
        ('isAlpha', 'ABC123abc', False),
        ('isAlphaNumeric', 'ABC123abc', True),
        ('isAlphaNumeric', '//', False),
        ('isNumeric', 'abc', False),
        ('isNumeric', '123', True),
        ('isEmail', 'yolo@@no.lan', False),
        ('isEmail', 'yolo@no..lan', False),
        ('isEmail', 'yolo@no.lan', True),
        ('isEmpty', '', True),
        ('isEmpty', '0', False),
    ],
)
def test_isalpha(tmeth, tstring, exp_result):
    test_meth = getattr(StringValidator(tstring), tmeth)
    assert bool(test_meth()) == exp_result
