from django.conf import settings
from django.conf.urls import include, url

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
from django.core.urlresolvers import get_script_prefix
from django.views.generic import RedirectView, TemplateView

from .contacts import views as my_views

admin.autodiscover()

urlpatterns = [
    url(r'^_test/(?P<test_code>\d+)/$', my_views.test_view,
        {}, name="test_view"),
    url(r'^_test/$', my_views.test_view,
        {}, name="test_view0"),
    url(r'^admin/', include(admin.site.urls), name='cocci_admin'),
    url(
        r'^apropos/', TemplateView.as_view(template_name="apropos.html"),
        {}, name="apropos"),
    url(
        r'^changelog/', TemplateView.as_view(template_name="changelog.html"),
        {}, name="changelog"),
    url(r'^selectable/', include('selectable.urls')),
    url(r'^contacts/', include('coccinelle.contacts.urls')),
    url(
        r'^$',
        RedirectView.as_view(
            url=get_script_prefix() + "admin/", permanent=False)
    ),
]

if 'debug_toolbar' in settings.INSTALLED_APPS:  # pragma: no cover
    import debug_toolbar

    urlpatterns.insert(0, url(r'^__debug__/', include(debug_toolbar.urls)))
