#! /usr/bin/python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2011, 2012, 2013  Cliss XXI
#
# This file is part of Coccinelle.
#
# Coccinelle is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# Coccinelle is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Author: Vincent Adolphe

import re


class StringValidator:
    RE_ALPHA = None
    RE_ALPHANUMERIC = None
    RE_NUMERIC = None
    RE_EMAIL = None

    validateString = ""
    _patterns = {}

    def __init__(self, validateString):
        self.validateString = validateString

    def isAlpha(self):
        if not self.__class__.RE_ALPHA:
            self.__class__.RE_ALPHA = re.compile(r"^\D+$")
        return self.checkStringAgainstRe(self.__class__.RE_ALPHA)

    def isAlphaNumeric(self):
        if not self.__class__.RE_ALPHANUMERIC:
            self.__class__.RE_ALPHANUMERIC = re.compile(r"^[a-zA-Z0-9]+$")
        return self.checkStringAgainstRe(self.__class__.RE_ALPHANUMERIC)

    def isNumeric(self):
        if not self.__class__.RE_NUMERIC:
            self.__class__.RE_NUMERIC = re.compile(r"^\d+$")
        return self.checkStringAgainstRe(self.__class__.RE_NUMERIC)

    def isEmail(self):
        if not self.__class__.RE_EMAIL:
            self.__class__.RE_EMAIL = re.compile(
                r'^([A-Za-z0-9]+[.-_])*[A-Za-z0-9]+@'
                r'[A-Za-z0-9-]+(\.[A-Z|a-z]{2,})+$'
            )
        return self.checkStringAgainstRe(self.__class__.RE_EMAIL)

    def isEmpty(self):
        return self.validateString == ""

    # this method is private (not be be used via interface)

    def checkStringAgainstRe(self, regexObject):
        if regexObject.search(self.validateString) is None:
            return False
        return True
